初心者もOK! FreeBSD質問スレッド まとめサイト @Wiki graphics > djvulibreのプラグインエラーになる

※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

graphics/djvulibreのプラグインエラーになる

237 :名無しさん@お腹いっぱい。:2006/02/03(金) 12:40:15
6.0-STABLEでgraphics/djvulibreのポートを入れたのですが、
firefoxでabout:pluginsすると、
LoadPlugin: failed to initialize shared library /usr/local/lib/djvulibre/plugins/nsdejavu.so [/usr/local/lib/djvulibre/plugins/nsdejavu.so: Undefined symbol "XtShellStrings"]
というエラーが出てしまいます。
XtShellStringsはlibXt.soに入ってるみたいですが、
こうなるのは私の環境だけでしょうか?
なにか対策があればご教示ください。

ちなみに、djvuというのはドキュメントの圧縮形式です。


238 :名無しさん@お腹いっぱい。:2006/02/03(金) 14:21:14
自己解決しました。
タイムリーにMUTOHさんのports/92757が出てて、
プラグインがどうのとあったから見てみたら、
.soを作るときに -lXt -lX11 しないといけないっぽいのがわかり、
nsdejavu.soを作るときもそうするように変更したら、
ちゃんとできました。
同時期に同じような問題が出るって、何かが変わったんでしょうかね。
ともかく、MUTOHさん、サンクス。